Last modified: 2009-07-24 16:23:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18849 - Implement Japanese and North Korean calendars
Implement Japanese and North Korean calendars
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.16.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 18932 19809
  Show dependency treegraph
 
Reported: 2009-05-20 00:19 UTC by Dan Jacobson
Modified: 2009-07-24 16:23 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Group international time notation systems together at top instead of split (1.17 KB, patch)
2009-05-20 12:02 UTC, Dan Jacobson
Details

Description Dan Jacobson 2009-05-20 00:19:36 UTC
In r50778 the http://en.wikipedia.org/wiki/Minguo_calendar of Taiwan has been implemented.

An excellent reuse of code could be had here by now also implementing the
http://en.wikipedia.org/wiki/Juche#Calendar of North Korea, as it is the
exactly the same as Taiwan's (year 98=2009).

While you are at it, consider implementing
http://en.wikipedia.org/wiki/Japanese_era_name , as the article says
"Japanese era names are still in use. Government offices usually require
era names and years for official papers."

So just as here in Taiwan, one can imagine many government etc. offices where
they would be overjoyed to be able to use such dates.

As I am very much not the right man for this job, I would like to leave this bug
in the system to give others an opportunity to evaluate and/or implement it.
Comment 1 Dan Jacobson 2009-05-20 00:48:26 UTC
For Japan just implement the current
http://en.wikipedia.org/wiki/Heisei_period .
Comment 2 Shinjiman 2009-05-20 01:54:28 UTC
Added on r50804.
Comment 3 Dan Jacobson 2009-05-20 02:27:49 UTC
OK, I see you say 平成 for Japanese, please
also add the familiar names for Taiwan, see the note I made at
http://www.mediawiki.org/wiki/Special:Code/MediaWiki/50778#code-comments
please.

One can guess that you should also offer the two character prefix
주체(主體) for Korea, but maybe they only use one character...

Speaking of which, perhaps also add a short 民98年... one character
choice for Taiwan too.
Comment 4 Dan Jacobson 2009-05-20 12:02:11 UTC
Created attachment 6139 [details]
Group international time notation systems together at top instead of split
Comment 5 Dan Jacobson 2009-05-26 11:58:11 UTC
Please apply attachment 6139 [details] to stop intermingling local and international time notations.
They will then be international first, then local afterwards.
Comment 6 Niklas Laxström 2009-05-26 13:37:49 UTC
ISO has always come as last, why change that?
Comment 7 Dan Jacobson 2009-05-26 13:49:39 UTC
OK, I see. Then instead of putting all international before local, put
all local before international. What ever you do, don't intermingle them.
Comment 8 Shinjiman 2009-05-26 13:51:38 UTC
The position of the ISO date is a seperate issue for that, please add the
comments in the bug 18931 instead.

The original purpose of this bug has been FIXED before.
Comment 9 Shinjiman 2009-05-26 13:52:56 UTC
Sorry my mistake, please add the comments to the bug 18932 instead.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links